Bug 186329 - bcm43xx not enabled by default.
bcm43xx not enabled by default.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 17:40 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
21 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 08:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of panic (153.18 KB, image/jpeg)
2006-03-26 06:56 EST, Michael Young
no flags Details
dmesg from modprobe bcm43xx (2.95 KB, text/plain)
2006-04-02 15:39 EDT, Joe Ammond
no flags Details
logs (66.77 KB, text/plain)
2006-04-05 19:47 EDT, Neal Becker
no flags Details
wpa_supplicant support for ifup (1.08 KB, patch)
2006-04-07 10:55 EDT, Dominik 'Rathann' Mierzejewski
no flags Details | Diff
screenshot of Desktop with NetworkManager connected to WLAN (213.60 KB, image/png)
2006-04-08 06:17 EDT, Robert Allerstorfer
no flags Details
Dmesg log to error for bcm43xx (2.01 KB, text/plain)
2006-04-09 13:27 EDT, Andreas
no flags Details
dmesg (2.80 KB, text/plain)
2006-04-10 20:06 EDT, Malcolm Caldwell
no flags Details
Ouptut of lspci, dmesg, dmidecode (44.61 KB, text/plain)
2006-04-26 03:55 EDT, Glen Turner
no flags Details

  None (edit)
Description David Woodhouse 2006-03-22 17:40:11 EST
We neutered its MODULE_DEVICE_TABLE. We were probably right at the time to do
so; this bug tracks feedback from users who enabled it, so we can judge whether
we should turn it back on again.
Comment 1 Ville Skyttä 2006-03-23 14:51:47 EST
I tried to get my Buffalo WLI2-PCI-G54S PCI card working with two different 
sets of firmware files extracted from 64-bit drivers on a x86_64 box, got it 
to a phase where nm-tool showed my home WLAN as well as a couple of others but 
never got it to associate with the AP.  Also tried doing things manually 
without NetworkManager, same results.  For now I'm back to using ndiswrapper; 
it works with both of the above firmware sets almost out of the box.  The card 
is (PCI id 14e4:4320): 
 
04:07.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless 
LAN Controller (rev 03) 
        Subsystem: Melco Inc Unknown device 0330 
        Flags: bus master, fast devsel, latency 64, IRQ 22 
        Memory at febfe000 (32-bit, non-prefetchable) [size=8K] 
Comment 2 David Woodhouse 2006-03-23 17:59:08 EST
If you weren't using the 2.6.16-1.2070 or later kernel, can you try manually
bringing the link up (ip link set eth1 up), _then_ setting the rate to 11M or
lower, then setting essid and, if appropriate, WEP keys. And show the kernel
messages from while you do it.
Comment 3 Dennis Gilmore 2006-03-25 10:07:30 EST
using 2.6.16-1.2074_FC5 i get the same result as bug #183245  wpa_supplicant 
and dhclient  work 
Comment 4 Michael Young 2006-03-26 06:56:13 EST
Created attachment 126766 [details]
screen shot of panic
Comment 5 Michael Young 2006-03-26 06:57:47 EST
I can cause a kernel panic reliably when trying to use this driver (with
kernel-2.6.16-1.2074_FC5) . I have been copying over the settings I use with
ndiswrapper
iwconfig eth1 key restricted xxxx-xxxx-xxxx-xxxx-xxxx-xxxx-xx
iwconfig eth1 essid XXXXXXXXXXXX
and it crashes (see the above screen photo). I suspect it is the restricted
option that causes it.
Comment 6 Ville Skyttä 2006-03-26 09:54:00 EST
(In reply to comment #2)
> If you weren't using the 2.6.16-1.2070 or later kernel

Retried with 2071_FC5, works nicely without special config tricks although the
performance doesn't quite match that of with ndiswrapper (~2.9MB/s vs ~3.6MB/s
as reported by gkrellm while copying large files over NFS), both using 54M and
WEP.  Nice work anyway, thanks!
Comment 7 David Woodhouse 2006-03-26 11:14:16 EST
Yeah, we don't handle tx power tuning with the OFDM rates well (or at all) yet -
- that's why I made it default to 11M.

Try various other supported rates rather than only 54M
Comment 8 Michal Klich 2006-03-28 08:18:00 EST
Tried with kernel-2.6.16-1.2069_FC5 and it did`t work.
Now works fine with kernel-2.6.16-1.2074_FC5. 
Thank you.
Comment 9 Brian 2006-03-28 23:16:51 EST
I installed 2.6.16-1.2080_FC5 kernel and was able to get it to work with my
Linksys WPC54G card.
Comment 10 Leif Madsen 2006-03-30 17:12:18 EST
Testing wireless with the 2.6.16-1.2080_FC5 kernel, the driver from
http://openwrt.inf.fh-brs.de/~nbd/wl_apsta.o, and the Broadcom 4306 chipset
works flawlessly so far for me on my laptop.
Comment 11 Scott Glaser 2006-03-30 20:31:22 EST
Testing wireless with 2.6.16-1.2080_FC5, the driver is bcmwl5.sys on a Compaq
Presario R3000Z with a Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 03).  No issues, it has worked flawlessly for me also.
Comment 12 John W. Linville 2006-03-31 09:26:59 EST
Regarding comment 10 and comment 11, this bug is intended to track usage of 
the bcm43xx.ko driver that is included in the FC5 kernels.  OpenWRT and 
NDISwrapper are outside the bounds of interest here. 
Comment 13 David Woodhouse 2006-03-31 10:26:06 EST
It's not clear that the users in comment 10 and comment 11 were actually using
the named driver files for anything but extracting the firmware. 

You need to use bcm43xx-fwcutter on the Windows (or other) driver to extract the
firmware, before you can use the kernel's bcm43xx driver. It might be helpful if
anyone else who were to comment would refrain from mentioning where they got
their firmware from unless they actually find it to be relevant. At the moment,
though, we think they're all fairly much equal (apart from some new version 4
firmwares in some new Windows drivers).
Comment 14 John W. Linville 2006-03-31 10:30:00 EST
Ahhh...you are probably right -- I apologize for the confusion. 
Comment 15 Scott Glaser 2006-03-31 13:52:33 EST
(In reply to comment #13)
> It's not clear that the users in comment 10 and comment 11 were actually using
> the named driver files for anything but extracting the firmware. 
> 
> You need to use bcm43xx-fwcutter on the Windows (or other) driver to extract the
> firmware, before you can use the kernel's bcm43xx driver. It might be helpful if
> anyone else who were to comment would refrain from mentioning where they got
> their firmware from unless they actually find it to be relevant. At the moment,
> though, we think they're all fairly much equal (apart from some new version 4
> firmwares in some new Windows drivers).

I am using the bcm43xx.ko driver that is included in the FC5 kernel, and it was
extracted from the Windows driver using the FWCUTTER.  The drivers are working
good, in fact I was suprised to see that they were working at 54m after seeing
comment 7.


Comment 16 David Woodhouse 2006-03-31 14:09:17 EST
Scott, did you explicitly set it to 54M? And is it actually _faster_ like that,
if you benchmark it? I find that it appears to work for me at 54M, but I
actually get better transfer rates if I set it to 11M.
Comment 17 Scott Glaser 2006-03-31 14:27:28 EST
(In reply to comment #16)
> Scott, did you explicitly set it to 54M? And is it actually _faster_ like that,
> if you benchmark it? I find that it appears to work for me at 54M, but I
> actually get better transfer rates if I set it to 11M.

David, No I have no benchmarked it and it looks strange.  It works as fast as it
did with ndiswrapper if not better but check this out:

 iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

sit0      no wireless extensions.

eth1      IEEE 802.11b/g  ESSID:"THEGLASERS.NET"  Nickname:"compaqlaptop"
          Mode:Managed  Frequency=2.462 GHz  Access Point: 00:11:95:CC:C7:39
          Bit Rate=11 Mb/s   Tx-Power=19 dBm
          RTS thr:off   Fragment thr:off
          Encryption key:off

Yet here is the statys from my router:

MAC Address  	       IP Address  	Mode  	Rate  	Signal(%)
00:90:4B:B8:D9:C8 	Unknown 	11g 	54 	100

What are you using for a benchmark, I will test it and let you know?

Comment 18 Ville Skyttä 2006-04-01 01:18:58 EST
(In reply to comment #7)
> Try various other supported rates rather than only 54M

18M appears to produce the best throughput here with bcm43xx.  It's still not
quite what I get with ndiswrapper at 54M, but close enough so I'll switch
drivers now.
Comment 19 Joseph Harnish 2006-04-01 09:10:35 EST
When I attempt to modprobe the bcm driver I get the following message in my
messages log:

Mar 29 15:05:22 wks1 kernel: bcm43xx: Card IRQ register not responding. Giving up.

After that I don't seem to get a device for it.  I am running a Dell D800 with a
Dell TruMobile card (Broadcom).
Comment 20 Robert Allerstorfer 2006-04-01 10:40:08 EST
(In reply to comment #13)
> You need to use bcm43xx-fwcutter on the Windows (or other) driver to extract the
> firmware, before you can use the kernel's bcm43xx driver. It might be helpful if
> anyone else who were to comment would refrain from mentioning where they got
> their firmware from unless they actually find it to be relevant. At the moment,
> though, we think they're all fairly much equal (apart from some new version 4
> firmwares in some new Windows drivers).

I have tried both version 4 drivers mentioned to be supported by
bcm43xx-fwcutter 004 (bcmwl5.sys version 4.10.40.01 and 4.10.40.0), but the
result was horrible - the entire system was no more bootable and the system date
has been reset to 1 Jan 1904! The only way to rescue the system was to boot from
a Live CD and restore the old /lib/firmware directory. So I would suggest not to
"officially support" those versions.

Using the bcm43xx_*.fw files generated from AppleAirPort2 version 3.90.34.0.p16
works, but I'm not sure why 6 of these files are empty. 

Anyway, connections to open 11b+g WLANs worked (not 11g only) using iwconfig and
ifup, but I was yet not able to do it using the NetworkManager applet.
Comment 21 Christopher Stone 2006-04-02 06:25:22 EDT
modprobe bcm43xx completely locks up and freezes my system.

Linksys WMP54GS
Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 03)
PCI device 14e4:4320 (rev 3)
bcmwl5.sys-3.50.21.11
2.6.16-1.2080_FC5 #1 SMP Tue Mar 28 03:38:47 EST 2006 x86_64
Comment 22 Joe Ammond 2006-04-02 15:32:29 EDT
I get the following: 

Unable to handle kernel paging request at virtual address 000017ed
 printing eip:
f8f869b2
*pde = 6203e067
Oops: 0000 [#1]
...

(I'll attach a more complete dmesg separately)

Hardware is a Dell D600
02:03.0 Network controller: Broadcom Corporation BCM4309 802.11a/b/g (rev 02)
02:03.0 0280: 14e4:4324 (rev 02)
Linux bauhaus.rc.edwardjones.com 2.6.16-1.2080_FC5 #1 Tue Mar 28 03:38:34 EST
2006 i686 i686 i386 GNU/Linux

I've tried firmware from multiple sources, the most recent from
http://openwrt.inf.fh-brs.de/~nbd/wl_apsta.o.

Comment 23 Joe Ammond 2006-04-02 15:39:47 EDT
Created attachment 127210 [details]
dmesg from modprobe bcm43xx
Comment 24 Neal Becker 2006-04-05 19:47:48 EDT
Created attachment 127381 [details]
logs

Here's what I got, this is the result of loading the driver, restart
NetworkManager, start nm-applet, and try to connect to my AP (twice)
Comment 25 David Woodhouse 2006-04-05 20:27:19 EDT
(In reply to comment #24)
> Here's what I got, this is the result of loading the driver, restart
> NetworkManager, start nm-applet, and try to connect to my AP (twice)

Which kernel? Please try the latest (after 2.6.16-1.2084_FC5) from 
http://people.redhat.com/davej/kernels/Fedora/FC5/ -- without the patch in that
kernel, NetworkManager will never _notice_ that we associate successfully.
Comment 26 Dominik 'Rathann' Mierzejewski 2006-04-07 10:45:47 EDT
01:00.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 03)
01:00.0 0280: 14e4:4320 (rev 03)

Works fine with WPA-EAP/TTLS on Dave's 2084_FC5 kernel,
http://openwrt.inf.fh-brs.de/~nbd/wl_apsta.o firmware and
wpa_supplicant-0.4.8-7.fc5 (with a small patch to ifup-wireless so that normal
ifup/ifdown scripts work).
Comment 27 David Woodhouse 2006-04-07 10:50:37 EDT
(In reply to comment #26)
> (with a small patch to ifup-wireless so that normal ifup/ifdown scripts work).

What patch? With _current_ kernels, you shouldn't have to bring the link up
before setting SSID etc. 

Comment 28 Dominik 'Rathann' Mierzejewski 2006-04-07 10:55:34 EDT
Created attachment 127467 [details]
wpa_supplicant support for ifup

This is a small patch which Harald Hoyer posted on fedora-devel-list and which
I cleaned up of whitespace changes.
Comment 29 Robert Allerstorfer 2006-04-08 06:17:18 EDT
Created attachment 127502 [details]
screenshot of Desktop with NetworkManager connected to WLAN
Comment 30 David Woodhouse 2006-04-08 08:50:20 EDT
Hm. No IPv6 shown on that screenshot. Is that _just_ because you don't have IPv6
for some reason, or does the 'Connection Information' dialog box need fixing?
Comment 31 Robert Allerstorfer 2006-04-08 10:53:37 EDT
I just wanted to show that connecting to wireless networks via NetworkManager
Applet finally works on FC5 with kernel-2.6.16-1.2088_FC5 :-) 

It worked with unencrypted 802.11bg networks (not with 802.11g only or encrypted
ones) - this is enough to go online with my iBook G4 on FC5 at public hotspots,
great!

Regarding the IPv6 not shown in the "Connection Information" window of
NetworkManager Applet 0.6.2 (from the NetworkManager-gnome-0.6.2-1.fc5 package)
- the window just doesn't show it. 'ifconfig eth1' does show the "inet6 addr",
however (in addition to the "inet addr").
Comment 32 Andreas 2006-04-09 13:24:35 EDT
HI Guys, 
Im getting this problem when I try to modprobe bcm43xx
[root@localhost bcm43xx-fwcutter-004]# /sbin/modprobe bcm43xx
FATAL: Error inserting bcm43xx
(/lib/modules/2.6.16-1.2080_FC5/kernel/drivers/net/wireless/bcm43xx.ko): Unknown
symbol in module, or unknown parameter (see dmesg)
Comment 33 Andreas 2006-04-09 13:27:55 EDT
Created attachment 127526 [details]
Dmesg log to error for bcm43xx

Heres my Dmesg, sorry hit submit before I could attach it
Comment 34 David Woodhouse 2006-04-09 13:33:16 EDT
(In reply to comment #32)
> (/lib/modules/2.6.16-1.2080_FC5/kernel/drivers/net/wireless/bcm43xx.ko): Unknown
> symbol in module, or unknown parameter (see dmesg)

Looks like you built your own kernel and/or bcm43xx module. Don't do that --
just use the one we ship. 

Comment 35 Andreas 2006-04-09 13:34:39 EDT
Yeah, I didnt know there was one inclued until about 10 min ago :-S So how can I
get rid of it then?
Comment 36 Andreas 2006-04-09 13:44:49 EDT
I mean how do I get rid of the module that I installed, which I did. I havent
compiled my own kernel, I just installed (tried to) the standalone from the
bcm43xx website. I would like to use the built in one. To get it to work on my
Asipre 3610. BTW I have BCM4318 chip built in and am using NDISWrapper but its
not always working that well for me.
Comment 37 David Woodhouse 2006-04-09 13:47:04 EDT
If you've overwritten the module which was shipped in the RPM, try just
reinstalling the package. 
Comment 38 Andreas 2006-04-09 14:19:05 EDT
Sorry but which package should I reinstall? Kernel package? (Sorry for all the
questions) Right now I dont know what I did but now it cant find the driver
module at all...the ko seems to be gone...think I should just reinstall FC5 or
is there a magical driver recovery option??lol
Comment 39 David Woodhouse 2006-04-09 14:28:21 EDT
yes, the kernel package.
Comment 40 Andreas 2006-04-09 15:09:50 EDT
Thanks a lot David, it worked, and I learned a lot :-D Cheers
Comment 41 Malcolm Caldwell 2006-04-10 20:06:44 EDT
Created attachment 127579 [details]
dmesg

When I load bcm43xx it freezes my machine.  It does not seem to matter what
firmware I have installed - it even happens when no firmware is installed.
from lspci: 02:03.0 0280: 14e4:4324 (rev 02)
Comment 42 John W. Linville 2006-04-11 15:38:37 EDT
For those having problems, please state how much physical memory you have in 
the box.  In particular, I want to know if you have more than 1GB of physical 
memory. 
Comment 43 Malcolm Caldwell 2006-04-11 20:21:27 EDT
(In reply to comment #41)
> Created an attachment (id=127579) [edit]
> dmesg
> 
> When I load bcm43xx it freezes my machine.  It does not seem to matter what
> firmware I have installed - it even happens when no firmware is installed.
> from lspci: 02:03.0 0280: 14e4:4324 (rev 02)
> 

I have 1G of memory.
Comment 44 Olu Akins 2006-04-14 14:04:01 EDT
It work fine and I am able to connect to my access point using wpa_supplicant. I
also created a how-to at https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186329
Comment 45 Olu Akins 2006-04-14 14:06:21 EDT
The how-to is at http://forums.fedoraforum.org/showthread.php?t=102697
Comment 46 Olu Akins 2006-04-14 14:07:35 EDT
The how-to is at http://forums.fedoraforum.org/showthread.php?t=102697
Comment 47 Christopher Stone 2006-04-15 11:25:28 EDT
I am having problems, see comment #21, also comment #41 seems to have the same
problems as me.  I have two cards and both totally lock up no matter which
firmware I try.  Running x86_64.

# free
             total       used       free     shared    buffers     cached
Mem:       2056148    1736764     319384          0     101608    1124792
-/+ buffers/cache:     510364    1545784
Swap:      2031608         60    2031548
Comment 48 Gustavo Maciel Dias Vieira 2006-04-25 20:45:44 EDT
It works perfectly for me.

Dell Inspiron 1150
Dell Wireless 1350 WLAN Mini-PCI Card (BCM4306)
2.6.16-1.2096_FC5

It works in 54Mbps (albeit only at close range) and It appears to be faster than
ndiswrapper.
Comment 49 Glen Turner 2006-04-26 03:55:55 EDT
Created attachment 128241 [details]
Ouptut of lspci, dmesg, dmidecode
Comment 50 Glen Turner 2006-04-26 03:59:42 EDT
I can confirm the Dell Latitude D600 with Dell Truemobile 1400 (BCM4309) lockup,
which can be recovered from using the panic= kernel option. Fedora Core 5 kernel
is 2.6.16-1.2096_FC5 (latest). Firmware from Dell driver R115321.EXE
(bcmwl5.sys) (latest) BIOS A16 (latest). Output from dmesg, lspci, dmidecode
attached.
Comment 51 Giacomo Magnini 2006-04-26 06:04:21 EDT
Works fine on my Sparklan WL-660GT (PCI):
kernel 2.6.16-1.2096
firmware: 3.70.17.0 (3.100.x.x didn't seem to work)
Comment 52 John Jutta 2006-04-28 10:30:43 EDT
It works fine with me! Thanks a lot!

I have:
HP pavilion zx5000

WLL Card: 02:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g
Wireless LAN                                           Controller (rev 03)

kernel: 2.6.16-1.2096_FC5 i686
768 MB RAM
Comment 53 Ian Prowell 2006-05-02 16:28:17 EDT
I am trying to get this to work in a HP nx6125 and Fedora Core 5 x86_64.  I used
fwcutter from version 4.10.40.1 of the windows driver.  I can "modprobe bcm43xx"
does not produce any errors.  The module loads with the following dmesg info:

ieee80211_crypt: registered algorithm 'NULL'
ieee80211: 802.11 data/management/control stack, git-1.1.7
ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
bcm43xx driver

But I don't end up with a network device.  "ifconfig -a" does not list any
additional devices.  "iwconfig" just returns "no wireless extensions" for all
the devices.  The applicable output of "lspci -v" is:

02:02.0 Network controller: Broadcom Corporation Dell Wireless 1470 DualBand
WLAN (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 1358
        Flags: bus master, fast devsel, latency 64, IRQ 5
        Memory at d0010000 (32-bit, non-prefetchable) [size=8K]

Ideas?

-Ian
Comment 54 Ian Prowell 2006-05-02 16:31:49 EDT
For comment #53 I am using 2.6.16-1.2096_FC5

-Ian
Comment 55 Douglas Rudd 2006-05-02 16:53:38 EDT
I have a Dell Inspiron 710m with the following card:

02:01.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]
802.11g Wireless LAN Controller (rev 02)
        Subsystem: Dell Unknown device 0005
        Flags: bus master, fast devsel, latency 32, IRQ 10
        Memory at e0204000 (32-bit, non-prefetchable) [size=8K]

I'm running FC5 with the latest stock kernel 2.6.16-1.2096_FC5

I installed the firmware, but when I modprobe bcm43xx it kernel panics (and
doesn't record in dmesg, so I don't have the panic to post here).

My problem sounds very similar to #50...

I am happy to post any additional information that's needed
Comment 56 Alex Tucker 2006-05-03 06:33:10 EDT
Worked fine for me until I upgraded my memory from 1GB to 2GB and now it freezes
with a kernel panic on modprobe.  System: Acer Ferrari 4005, kernel:
2.6.16-1.2096_FC5, PCI device: 14e4:4318, original firmware from Acer's support
site for Ferrari 4005 (BCMWL564.SYS).
Comment 57 Michael Young 2006-05-06 08:45:37 EDT
I am still seeing the crash I mentioned in #4 and #5. Here is the first few
lines of the crash dump
SoftMAC: Sent Authentication Request to xx:xx:xx:xx:xx:xx.
BUG: spinlock recursion on CPU#0, swapper/0 (Not tainted)
 lock: d511ac78, .magic:dead4ead, .owner: swapper/0, .owner_cpu: 0
 [<c01c5c0d>] _raw_spin_lock+0x32/0xd3
 [<c02de8ac>] _spin_lock_irqsave+0x9/0xd
 [<c0b90432>] bcm43xx_ieee80211_set_chan+0x1c/0x63 [bcm43xx]
 [<c0ae39e1>] ieee80211softmac_auth_resp+0x2af/0x270 [ieee80211softmac]
 [<c0b0ff71>] ieee80211_rx_mgt+0x24f/0x270 [ieee80211]
 [<c02043ab>] extract_buf+0x95/0xc8
I think the kernel is trying to lock the same object in
bcm43xx_ieee80211_set_chan and eee80211softmac_auth_resp
causing the crash.
Comment 58 Sam Magee 2006-05-14 04:55:10 EDT
Ive just installed the BCM43xx-004 into a fresh install of FC5 on my HP Compaq
nx9105 using the driver provided on the HP site.
     Im a newbie so it took me an hour or two to do this 10 min install but it
works fine.
     I did have to stop using WPA-SPK and switch back to WEP but thats only
because I havnt looked at the work around for that yet.
     Good job I can finally use FC on my laptop now!  Thanks.
Comment 59 Scott Glaser 2006-05-14 10:38:04 EDT
Recently I have installed x86_64 and discovered that with more than 1gb of ram
the card causes a kernel panic.  Currently I have 1.5gb of memory installed. 
This did not appear to cause an issue with i386 but with x86_64 as soon as I
modprobe bcm43xx it causes a kernel panic,  To alleviate the issue I have locked
my memory usage at 1024.  This is a stupid work around but does work. Here is my
grub.conf

[root@compaqlaptop ~]# more /etc/grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.16-1.2111_FC5)
        root (hd0,0)
        kernel /vmlinuz-2.6.16-1.2111_FC5 ro root=/dev/VolGroup00/LogVol00
mem=1024M pci=routeirq quiet
        initrd /initrd-2.6.16-1.2111_FC5.img
title Fedora Core (2.6.15-1.2054_FC5)
        root (hd0,0)
        kernel /vmlinuz-2.6.15-1.2054_FC5 ro root=/dev/VolGroup00/LogVol00
pci=routeirq quiet
        initrd /initrd-2.6.15-1.2054_FC5.img


Output of lspci:

[root@compaqlaptop ~]# lspci
00:00.0 Host bridge: nVidia Corporation nForce3 Host Bridge (rev a4)
00:01.0 ISA bridge: nVidia Corporation nForce3 LPC Bridge (rev a6)
00:01.1 SMBus: nVidia Corporation nForce3 SMBus (rev a4)
00:02.0 USB Controller: nVidia Corporation nForce3 USB 1.1 (rev a5)
00:02.1 USB Controller: nVidia Corporation nForce3 USB 1.1 (rev a5)
00:02.2 USB Controller: nVidia Corporation nForce3 USB 2.0 (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce3 Audio (rev a2)
00:06.1 Modem: nVidia Corporation nForce3 Audio (rev a2)
00:08.0 IDE interface: nVidia Corporation nForce3 IDE (rev a5)
00:0a.0 PCI bridge: nVidia Corporation nForce3 PCI Bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation nForce3 AGP Bridge (rev a4)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 420 Go 32M]
(rev a3)
02:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000
Controller (PHY/Link)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 03)
02:04.0 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:04.1 CardBus bridge: Texas Instruments PCI1620 PC Card Controller (rev 01)
02:04.2 System peripheral: Texas Instruments PCI1620 Firmware Loading Function
(rev 01)


Output of lsmod:

[root@compaqlaptop ~]# lsmod
Module                  Size  Used by
vmnet                  98848  21
vmmon                 218252  0
ipv6                  398817  12
ppdev                  42441  0
autofs4                55241  1
hidp                   83137  2
l2cap                  91585  5 hidp
bluetooth             116933  2 hidp,l2cap
nfs                   251289  2
lockd                  96977  2 nfs
nfs_acl                36801  1 nfs
sunrpc                192137  4 nfs,lockd,nfs_acl
xt_limit               35905  8
xt_tcpudp              36545  13
iptable_mangle         36033  0
ipt_LOG                39745  8
ipt_MASQUERADE         37057  0
ip_nat                 52717  1 ipt_MASQUERADE
ipt_TOS                35649  0
ipt_REJECT             38977  1
ip_conntrack_irc       40593  0
ip_conntrack_ftp       41361  0
xt_state               35265  6
ip_conntrack           92669  5
ipt_MASQUERADE,ip_nat,ip_conntrack_irc,ip_conntrack_ftp,xt_state
nfnetlink              40073  2 ip_nat,ip_conntrack
iptable_filter         36289  1
ip_tables              48385  2 iptable_mangle,iptable_filter
x_tables               48201  8
xt_limit,xt_tcpudp,ipt_LOG,ipt_MASQUERADE,ipt_TOS,ipt_REJECT,xt_state,ip_tables
bcm43xx               446817  0
ieee80211softmac       64321  1 bcm43xx
ieee80211              64649  2 bcm43xx,ieee80211softmac
ieee80211_crypt        39873  1 ieee80211
cypress_m8             55885  0
usbserial              68401  1 cypress_m8
video                  50505  0
button                 40545  0
battery                43337  0
ac                     38473  0
lp                     47633  0
parport_pc             62697  1
parport                74061  3 ppdev,lp,parport_pc
floppy                100617  0
nvram                  42441  0
ohci1394               67993  0
ieee1394              391897  1 ohci1394
ehci_hcd               65229  0
ohci_hcd               54877  0
snd_intel8x0m          51665  0
snd_intel8x0           68201  2
nvidia               5458132  12
8139too                61761  0
8139cp                 57025  0
snd_ac97_codec        136089  2 snd_intel8x0m,snd_intel8x0
mii                    38849  2 8139too,8139cp
snd_ac97_bus           35777  1 snd_ac97_codec
snd_seq_dummy          37061  0
snd_seq_oss            66241  0
snd_seq_midi_event     41025  1 snd_seq_oss
snd_seq                89825  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         42833  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            85457  0
snd_mixer_oss          50881  2 snd_pcm_oss
snd_pcm               126409  4
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              59465  2 snd_seq,snd_pcm
snd                    97129  12
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
i2c_nforce2            40769  0
soundcore              44129  2 snd
snd_page_alloc         44497  3 snd_intel8x0m,snd_intel8x0,snd_pcm
i2c_core               57409  2 nvidia,i2c_nforce2
dm_snapshot            48657  0
dm_zero                35137  0
dm_mirror              54337  0
dm_mod                 90128  6 dm_snapshot,dm_zero,dm_mirror
ext3                  164177  2
jbd                    93545  1 ext3
sata_nv                43461  0
libata                 93913  1 sata_nv
sd_mod                 50753  0
scsi_mod              181137  2 libata,sd_mod

Comment 60 Larry Strickland 2006-05-17 12:18:08 EDT
I am using the bcm43xx.ko module with FC5 using kernel 2.6.16, 2111.  My
computer is an HP Pavilion Notebook DV8140US with 1GB or memory.  The card works
fine at 11M (also works higher but I can't see much of an increase in speed)
with NetworkManager-0.6.0 but WILL NOT WORK with the newer version of
NetworkManager.  With the older version, it is recognized as a wireless card and
connects to unencrypted and WEP connections both with and without broadcast
ESSIDs.  With the newer version, it is only recognized when initialized by hand
using iwconfig and then reports itself as a Broadcom 43xx WIRED network card. 
It will not switch connections or connect automatically. 
Comment 61 Gustavo Maciel Dias Vieira 2006-05-24 08:40:23 EDT
(In reply to comment #60)
> With the newer version, it is only recognized when initialized by hand
> using iwconfig and then reports itself as a Broadcom 43xx WIRED network card. 
> It will not switch connections or connect automatically. 

Maybe your problem is related to bug #191557
Comment 62 Louay Mobaied 2006-06-01 00:52:26 EDT
worked at last; I write this using it.

I have followed "FC5 with bcm43xx support (HOWTO)"
http://lists.infradead.org/pipermail/fedora-ppc/2006-March/000804.html

it worked with WEB so far only no luck with WAP; my tips remove MAC restriction
from your AP setting.

my setting is here;

linksys AP WAG354G (WEB-64, MAC = accept all, Auth=Auto) (reboot it).
laptop = HP-Pavilion-dx5000, 

lspci = 06:02.0 Network controller: Broadcom Corporation BCM4318 [AirForce One
54g] 802.11g Wireless LAN Controller (rev 02)

yum update kernel 
=> kernel-2.6.16-1.2122_FC5

yum install bcm43xx-fwcutter
=> bcm43xx-fwcutter-004-1.fc5
bcmwl5.sys ver. 3.140.16.0 (worked fine I use it now)
bcmwl5.sys ver. 4.10.40.1 (it hanged the system)

using "system-config-network 1.3.30" I add eth1
wireless setting is:
Mode = Auto
SSID = secified = xxxxxxxx (write  yours)
channel = 11
Trnsmit rate = Auto
key = 0xyyyyyyyy  (write  yours)

that is all, 
good luck
louay
Comment 63 Bob Dehnhardt 2006-06-01 21:52:28 EDT
Working (as I type) with the interal wireless controller in my HP Pavillion
zd8000 notebook. Also works with a Buffalo WLI-CB-G54HP. Both are running a
BCM4318 identified as AirForce One 54G, with PCIID 14e4:4318 (rev 02). I used
firmware found in SP30676.EXE, downloadable from HP/Compaq's support site.

Looking good.... Thanks!
Comment 64 Klaus-Peter Schrage 2006-06-06 12:42:12 EDT
Success on Ibook G4 with WPA,
thanks a lot!
(hoping that success stories still are welcome ...)

kernel-2.6.16-1.2122_FC5
wpa_supplicant-0.4.8-10.fc5

The driver is started by
alias eth1 bcm43xx
in /etc/modprobe.conf, not from /etc/rc.local, because that would be too late
for the wpa_supplicant service which I have enabled at startup.

Contents of /etc/sysconfig/wpa_supplicant:
# wlan0 and wifi0
# INTERFACES="-iwlan0 -iwifi0"
INTERFACES="-ieth1"
# ndiswrapper and prism
# DRIVERS="-Dndiswrapper -Dprism"
DRIVERS="-Dwext"

contents of /etc/wpa_supplicant/wpa_supplicant.conf:
ctrl_interface=/var/run/wpa_supplicant
network={
        ssid="my_ap"
        key_mgmt=WPA-PSK
        proto=WPA
        pairwise=TKIP
        group=TKIP
        psk="my_wpa_passphrase"
}

Works nicely this way, the only thing else I have to do is to fire up dhclient
manually for eth1 (should be no issue to have this automated?).

What I didn't try (yet):
- change rate
- switch off ap's broadcasting of its ESSID.
Comment 65 Jersey Devil 2006-06-06 23:08:52 EDT
Installed and works well with fedora core 5 on an old Compaq 1215US Athlon 4
with a Linksys WPA54G Version 1.2.  I had to use Red Hats Network manager to get
the card to function the first time.  From your instructions here

http://lists.infradead.org/pipermail/fedora-ppc/2006-March/000804.html

I used

" To make sure the driver gets
loaded automatically, either add '/sbin/modprobe bcm43xx' to
your /etc/rc.local script, . . ."

and it now boots every time.  The computer had a "jerkey" mouse when Mozilla was
running, but a quick RPM up to 1.5.0.3 fixed that issue.  Would be nice
integrated into the kernel though so it gets an IP upon startup.

Here is my data, and yes this should be implemented in startup.
I X'ed out my IP for obvious reasons


[root@localhost ~]# cat /proc/version
Linux version 2.6.16-1.2122_FC5 (bhcompile@hs20-bc1-3.build.redhat.com) (gcc
version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 Sun May 21 15:01:01 EDT 2006
[root@localhost ~]# ifconfig
eth1      Link encap:Ethernet  HWaddr  xx:xx:xx:xx:xx:xx
          inet addr:xxx.xx.xx.xxx  Bcast:1xxx.xxx.xxx.xxx Mask:255.xxx.xxx.x
          inet6 addr: xxxx::xxx:xxxx:xxxx:xxx Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:10 errors:0 dropped:19 overruns:0 frame:0
          TX packets:51 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1203 (1.1 KiB)  TX bytes:4508 (4.4 KiB)
          Interrupt:11 Base address:0xc000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:2944 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2944 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:3369000 (3.2 MiB)  TX bytes:3369000 (3.2 MiB)

Final thoughts.  I was able to rip the drivers from the Linksys, but the
motorola 825G windows drivers failed.  I have not tried the Motorola, since the
Linksys WPA54G v1.2 works great.
Comment 66 Klaus-Peter Schrage 2006-06-14 07:30:15 EDT
(In reply to comment #45)
> The how-to is at http://forums.fedoraforum.org/showthread.php?t=102697

Just out of curiosity:
By changing the /etc/sudoers file you seem to have given your user (who is in 
the wheels group) all possible permissions. 
Why is that neccessary? I just added my user (me) to the wheels group, 
added "ctrl_interface_group=wheel" to wpa_supplicant.conf and now he is able to 
launch wpa_gui, if that is what you intended.
Comment 67 Richard Godbee 2006-06-21 02:25:25 EDT
Just a success report.  I'm running kernel 2.6.16-1.2133_FC5 on a Mac Mini (PPC)
with an Airport Extreme (BCM4318) and the 3.90.34.0.p16 firmware from
AppleAirPort2 on an OS X 10.4.x machine.  It successfully connects to my Linksys
WRT54GS with a "hidden" SSID and WPA-PSK (TKIP).

I've only encountered two problems:

1. Inserting the bcm43xx module with a version 4.* firmware in /lib/firmware
hard locks the machine.

2. Packets enter a black hole using the 54M and 48M data rates.  The 36M data
rate is very flaky (bursts of high packet loss).  All rates below 36M seem to
work fine.
Comment 68 Alex Tucker 2006-06-25 15:02:41 EDT
After updating the kernel to 2.6.17-1.2139_FC5, bcm43xx now gets loaded
automatically at boot.  However, as soon as the wireless interface is brought up
either by ifup or NetworkManager, I get a kernel panic with the following
backtrace gleaned from kdump/crash:

PID: 359    TASK: ffff81007d67f7e0  CPU: 0   COMMAND: "kjournald"
 #0 [ffffffff80601ba0] crash_kexec at ffffffff802ab783
 #1 [ffffffff80601c28] bcm43xx_dma_handle_xmitstatus at ffffffff8826a970
 #2 [ffffffff80601c60] __die at ffffffff8026a9d8
 #3 [ffffffff80601ca0] do_page_fault at ffffffff8026c2d6
 #4 [ffffffff80601cb0] release_console_sem at ffffffff80217b35
 #5 [ffffffff80601ce0] vprintk at ffffffff802908f9
 #6 [ffffffff80601d18] __next_cpu at ffffffff80335f30
 #7 [ffffffff80601da0] error_exit at ffffffff80263c65
    [exception RIP: bcm43xx_dma_handle_xmitstatus+320]
    RIP: ffffffff8826a970  RSP: ffffffff80601e58  RFLAGS: 00010006
    RAX: 0000000000000063  RBX: 0000000000001317  RCX: 0000000000000001
    RDX: 0000000000000000  RSI: 0000000000000046  RDI: ffffffff80548ad0
    RBP: ffff81007c8d7150   R8: 00000000ffffffff   R9: ffffffff80601ba8
    R10: 00000000ffffffff  R11: 0000000000000000  R12: 0000000000000000
    R13: 0000000000000317  R14: ffff81007c8d7150  R15: ffff81007722ed48
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
 #8 [ffffffff80601e50] bcm43xx_dma_handle_xmitstatus at ffffffff8826a964
 #9 [ffffffff80601e90] bcm43xx_interrupt_tasklet at ffffffff88258918
#10 [ffffffff80601ee0] ohci_irq_handler at ffffffff882cde0d
#11 [ffffffff80601f20] tasklet_action at ffffffff80293452
#12 [ffffffff80601f40] __do_softirq at ffffffff80211a50
#13 [ffffffff80601f70] call_softirq at ffffffff8026416e
#14 [ffffffff80601f80] do_softirq at ffffffff80271531
#15 [ffffffff80601f90] do_IRQ at ffffffff80271803
--- <IRQ stack> ---
#16 [ffff81007d165b08] ret_from_intr at ffffffff802632aa
    [exception RIP: ide_outb+8]
    RIP: ffffffff802076e8  RSP: ffff81007d165bb0  RFLAGS: 00000217
    RAX: 00000000000000e0  RBX: 0000000000000000  RCX: 0000000000000008
    RDX: 00000000000001f6  RSI: 00000000000001f6  RDI: 00000000000000e0
    RBP: ffffffff8067e718   R8: 00000000000004e2   R9: 0000000200000246
    R10: ffff81007722ed48  R11: ffffffff802076e0  R12: ffffffff8067e600
    R13: 0000000000000003  R14: ffffffff8067e601  R15: ffff81007722ed48
    ORIG_RAX: ffffffffffffff56  CS: 0010  SS: 0018
#17 [ffff81007d165bb0] ide_do_rw_disk at ffffffff80210371
#18 [ffff81007d165c00] ide_do_request at ffffffff8020eda4
#19 [ffff81007d165c20] _spin_lock_irqsave at ffffffff8026a1c6
#20 [ffff81007d165c30] lock_timer_base at ffffffff80240cc3
#21 [ffff81007d165c50] del_timer at ffffffff80234a1a
#22 [ffff81007d165ca0] generic_unplug_device at ffffffff8025f941
#23 [ffff81007d165cb0] blk_backing_dev_unplug at ffffffff802622c0
#24 [ffff81007d165ce0] sync_buffer at ffffffff80215c6e
#25 [ffff81007d165cf0] __wait_on_bit at ffffffff80268cd4
#26 [ffff81007d165d30] out_of_line_wait_on_bit at ffffffff80268d6f
#27 [ffff81007d165da0] sync_dirty_buffer at ffffffff8023d389
#28 [ffff81007d165dc0] journal_commit_transaction at ffffffff88004fc5
#29 [ffff81007d165df0] _spin_lock_irqsave at ffffffff8026a1c6
#30 [ffff81007d165e00] lock_timer_base at ffffffff80240cc3
#31 [ffff81007d165e60] kjournald at ffffffff88008d14
#32 [ffff81007d165ed0] kthread at ffffffff80234fa3
#33 [ffff81007d165f50] kernel_thread at ffffffff80263e1e

Comment 69 Glen Turner 2006-06-26 08:42:17 EDT
The machine in comment #50 with kernel 2.6.17-1.2139_FC5 now loads the bcm43xx
module, but locks solid when dhclient runs. To go back to using ndiswrapper I
disabled automated loading of bcm43xx by altering /etc/modprobe.conf to
alias pci:v000014E4d00004301sv*sd*bc*sc*i* off
alias pci:v000014E4d00004307sv*sd*bc*sc*i* off
alias pci:v000014E4d00004318sv*sd*bc*sc*i* off
alias pci:v000014E4d00004320sv*sd*bc*sc*i* off
alias pci:v000014E4d00004324sv*sd*bc*sc*i* off
alias pci:v000014E4d00004325sv*sd*bc*sc*i* off
and ran depmod -a.
Comment 70 Dave Miller 2006-06-27 19:29:00 EDT
Having some timing trouble on a HP Pavilion zv6000.  The pertinent part of dmesg is:

...
ieee80211_crypt: registered algorithm 'WEP'
bcm43xx: set security called
bcm43xx:    .active_key = 0
bcm43xx:    .level = 1
bcm43xx:    .enabled = 1
bcm43xx:    .encrypt = 1
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Associate: failed to initiate scan. Is device up?
bcm43xx: PHY connected
bcm43xx: Radio turned on
bcm43xx: Chip initialized
bcm43xx: DMA initialized
bcm43xx: 80211 cores initialized
bcm43xx: Keys cleared
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
ADDRCONF(NETDEV_UP): eth1: link is not ready
Losing some ticks... checking if CPU frequency changed.
SoftMAC: Scanning finished
SoftMAC: Queueing Authentication Request to 00:12:17:7a:b6:f6
SoftMAC: cannot associate without being authenticated, requested authentication
SoftMAC: Queueing Authentication Request to 00:12:17:7a:b6:f6
SoftMAC: cannot associate without being authenticated, requested authentication
SoftMAC: Sent Authentication Request to 00:12:17:7a:b6:f6.
SoftMAC: Sent Authentication Request to 00:12:17:7a:b6:f6.
SoftMAC: Open Authentication with 00:12:17:7a:b6:f6 failed, error code: 13
SoftMAC: Authentication response received from 00:12:17:7a:b6:f6 but did not
request authentication.
bcm43xx: Radio turned off
bcm43xx: DMA 0x0200 (RX) max used slots: 1/64
bcm43xx: DMA 0x0260 (TX) max used slots: 0/512
bcm43xx: DMA 0x0240 (TX) max used slots: 0/512
bcm43xx: DMA 0x0220 (TX) max used slots: 2/512
bcm43xx: DMA 0x0200 (TX) max used slots: 0/512
...

That is, the driver times out waiting for an authentication response from the
WAP and then complains when the response finally arrives.  Let me know if this
should be a separate bug.
Comment 71 Kelsey Hightower 2006-07-01 13:07:11 EDT
I am a new to Fedora and linux in general. I am using the BMC43XX driver with
out any problems. No lock-ups, and everything loads at boot-up.

Hardware

Dell laptop: Inspiron 1200
Memory: 512MB
Intel Celeron M
Dell Wireless 1350 WLAN PC Card : Model - WL-611GD

Network Manger controls the card fine, locates and connects to the ESSID I have
setup. It shows other available networks to connect to as well.

The only thing that Network Manager does not do is give me accurate signal
strenght. It all ways shows 100%.

Not to hard to enable manually, but would love for this to become stable and
enabled by default.
Comment 72 Cody DeHaan 2006-07-02 23:57:25 EDT
I have been using my Dell Latitude D800 with FC for a year now. I have used
ndiswrapper in the past, but this was a PITA because of kernel updates, etc.
However, I recently upgraded to the latest kernel and happened to notice my WLAN
card listed separately from ndiswrapper. I investigated, followed the simple
instructions to install on a fresh FC5, and it is working without a hitch.

Hardware: Dell Latitude D800, Pentium M 2.0GHz, BCM4309 802.11a/b/g
Kernel: 2.6.17-1.21392.6.17-1.2139
Driver: bcmwl5.sys

Thanks all!
Comment 73 Chris Weyl 2006-07-03 01:59:13 EDT
Works on a Dell Inspiron B130 as of 2.6.17-1.2139_FC5.  (Including
NetworkManager w/encrypted networks)

lspci output follows...

02:03.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]
802.11g Wireless LAN Controller (rev 02)
        Subsystem: Dell Unknown device 0005
        Flags: bus master, fast devsel, latency 64, IRQ 217
        Memory at dfbfe000 (32-bit, non-prefetchable) [size=8K]

02:03.0 0280: 14e4:4318 (rev 02)

Firmware is:
-rw-r--r-- 1 root root  3504 Jun 13 23:11 bcm43xx_initval01.fw
-rw-r--r-- 1 root root    16 Jun 13 23:11 bcm43xx_initval02.fw
-rw-r--r-- 1 root root  3504 Jun 13 23:11 bcm43xx_initval03.fw
-rw-r--r-- 1 root root    16 Jun 13 23:11 bcm43xx_initval04.fw
-rw-r--r-- 1 root root  2536 Jun 13 23:11 bcm43xx_initval05.fw
-rw-r--r-- 1 root root   248 Jun 13 23:11 bcm43xx_initval06.fw
-rw-r--r-- 1 root root  2536 Jun 13 23:11 bcm43xx_initval07.fw
-rw-r--r-- 1 root root  2536 Jun 13 23:11 bcm43xx_initval08.fw
-rw-r--r-- 1 root root   248 Jun 13 23:11 bcm43xx_initval09.fw
-rw-r--r-- 1 root root   248 Jun 13 23:11 bcm43xx_initval10.fw
-rw-r--r-- 1 root root 16216 Jun 13 23:11 bcm43xx_microcode2.fw
-rw-r--r-- 1 root root 19968 Jun 13 23:11 bcm43xx_microcode4.fw
-rw-r--r-- 1 root root 22528 Jun 13 23:11 bcm43xx_microcode5.fw
-rw-r--r-- 1 root root  1312 Jun 13 23:11 bcm43xx_pcm4.fw
-rw-r--r-- 1 root root  1312 Jun 13 23:11 bcm43xx_pcm5.fw
Comment 74 Wolfgang Rupprecht 2006-07-07 17:00:26 EDT
Doesn't work on a HP Compaq Presario v5000z with their a/b/g wifi card.  I
believe the broadcom product ID is 0x4319 (not 0x4318!).

06:02.0 Network controller: Broadcom Corporation Dell Wireless 1470 DualBand
WLAN (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 1358
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at c0204000 (32-bit, non-prefetchable) [size=8K]


Comment 75 Richard 2006-07-14 10:59:13 EDT
I use Fedora Core 4 and Fedora Core 5, I have the problem on hp nx6125 with
chips Broadcom bcm4318, before a yum update it fine properly with a WPA-PSK TKIP
encrytion, kernel 2.6.17-1.2145_FC5.

# dmesg
bcm43xx: set security called
bcm43xx:    .level = 0
bcm43xx:    .enabled = 0
bcm43xx:    .encrypt = 0
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Associate: failed to initiate scan. Is device up?
bcm43xx: Radio turned on
bcm43xx: Chip initialized
bcm43xx: DMA initialized
bcm43xx: 80211 cores initialized
bcm43xx: Keys cleared
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
ADDRCONF(NETDEV_UP): eth1: link is not ready
SoftMAC: Scanning finished
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Unable to find matching network after scan!
SoftMAC: Scanning finished
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Unable to find matching network after scan!

# iwlist eth1 scan
Warning: Driver for device eth1 has been compiled with version 20
of Wireless Extension, while this program supports up to version 19.
Some things may be broken...

eth1      No scan results

I can't solve problem, I have the same problem with ndiswrapper, I need help...

Thanks
Comment 76 Cody DeHaan 2006-07-14 20:58:46 EDT
I have a suggestion for commenter #75. Try a different driver. I was using an old one that worked with 
ndiswrapper, and I tried to use a newer version. I got the same error you did. Give some other drivers 
from the README a shot.

Cody

(In reply to comment #75)
> I use Fedora Core 4 and Fedora Core 5, I have the problem on hp nx6125 with
> chips Broadcom bcm4318, before a yum update it fine properly with a WPA-PSK TKIP
> encrytion, kernel 2.6.17-1.2145_FC5.
> 
> # dmesg
> bcm43xx: set security called
> bcm43xx:    .level = 0
> bcm43xx:    .enabled = 0
> bcm43xx:    .encrypt = 0
> SoftMAC: Associate: Scanning for networks first.
> SoftMAC: Associate: failed to initiate scan. Is device up?
> bcm43xx: Radio turned on
> bcm43xx: Chip initialized
> bcm43xx: DMA initialized
> bcm43xx: 80211 cores initialized
> bcm43xx: Keys cleared
> SoftMAC: Associate: Scanning for networks first.
> SoftMAC: Start scanning with channel: 1
> SoftMAC: Scanning 14 channels
> ADDRCONF(NETDEV_UP): eth1: link is not ready
> SoftMAC: Scanning finished
> SoftMAC: Associate: Scanning for networks first.
> SoftMAC: Start scanning with channel: 1
> SoftMAC: Scanning 14 channels
> SoftMAC: Unable to find matching network after scan!
> SoftMAC: Scanning finished
> SoftMAC: Associate: Scanning for networks first.
> SoftMAC: Start scanning with channel: 1
> SoftMAC: Scanning 14 channels
> SoftMAC: Scanning finished
> SoftMAC: Associate: Scanning for networks first.
> SoftMAC: Start scanning with channel: 1
> SoftMAC: Scanning 14 channels
> SoftMAC: Scanning finished
> SoftMAC: Associate: Scanning for networks first.
> SoftMAC: Start scanning with channel: 1
> SoftMAC: Scanning 14 channels
> SoftMAC: Scanning finished
> SoftMAC: Unable to find matching network after scan!
> 
> # iwlist eth1 scan
> Warning: Driver for device eth1 has been compiled with version 20
> of Wireless Extension, while this program supports up to version 19.
> Some things may be broken...
> 
> eth1      No scan results
> 
> I can't solve problem, I have the same problem with ndiswrapper, I need help...
> 
> Thanks
Comment 77 Chris Weyl 2006-07-14 21:01:12 EDT
(In reply to comment #76)
> I have a suggestion for commenter #75. Try a different driver. I was using an
old one that worked with 
> ndiswrapper, and I tried to use a newer version. I got the same error you did.
Give some other drivers 
> from the README a shot.

That's a very good point -- I had to go through several before I found one that
would work as well.

Maybe we should start tracking the versions & urls of ones that we find to work
reliably?
Comment 78 Richard 2006-07-15 05:04:28 EDT
Thank you Cody 

Richard
Comment 79 Paul Rigor 2006-08-10 13:01:25 EDT
Hi, I have a Broadcom 4311 with the following kernel:

01:00.0 Network controller: Broadcom Corporation Unknown device 4311 (rev 01)
Linux EarlGrey 2.6.17-1.2157_FC5 #1 SMP Tue Jul 11 22:53:56 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux

The wireless nic doesn't work at all.  I've followed the instructions for using
fwcutter (v. 004) along with ndiswrapper.  By the way, I've used bcmwl5 (32bit)
and bcmwl564 (64bit) drivers for both methods.  I still can't get this working.

Any ideas?
Appreciate it!
Paul
Comment 80 Paul Rigor 2006-08-10 13:06:38 EDT
Hi, I have a Broadcom 4311 with the following kernel:

01:00.0 Network controller: Broadcom Corporation Unknown device 4311 (rev 01)
Linux EarlGrey 2.6.17-1.2157_FC5 #1 SMP Tue Jul 11 22:53:56 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux

The wireless nic doesn't work at all.  I've followed the instructions for using
fwcutter (v. 004) along with ndiswrapper.  By the way, I've used bcmwl5 (32bit)
and bcmwl564 (64bit) drivers for both methods.  I still can't get this working.

Any ideas?
Appreciate it!
Paul
Comment 81 Scott Glaser 2006-08-10 16:13:59 EDT
(In reply to comment #80)
> Hi, I have a Broadcom 4311 with the following kernel:
> 
> 01:00.0 Network controller: Broadcom Corporation Unknown device 4311 (rev 01)
> Linux EarlGrey 2.6.17-1.2157_FC5 #1 SMP Tue Jul 11 22:53:56 EDT 2006 x86_64
> x86_64 x86_64 GNU/Linux
> 
> The wireless nic doesn't work at all.  I've followed the instructions for using
> fwcutter (v. 004) along with ndiswrapper.  By the way, I've used bcmwl5 (32bit)
> and bcmwl564 (64bit) drivers for both methods.  I still can't get this working.
> 
> Any ideas?
> Appreciate it!
> Paul

Paul,

Try the driver located here as it has worked with just about every card of which
 which I am aware: http://fedoramobile.org/fc-wireless/bcm43xx-yum-extras/ For
some reason the newer drivers do not work as reliably.

Scott Glaser
Comment 82 Josdeyvi Russi 2006-08-13 11:14:41 EDT
I tested with a HP Compaq nx6105, bcm4318, FC5 Kernel 2.6.16-2157 . It´s not
stable. 

I tried several firmware versions. Seens that only works with firmware below
3.100.X. The best result I had was with one 3.30. Network Manager (0.6.4) was
able to configure my test network (with WEP) with this version.

But when it works, it´s really unstable. If you give a "modprobe -r bcm43xx" you
can´t load a new module (or the same) again, you should reboot first. So for
testing the firmwares, I had to reboot every time.

If you connect to the wired network, Network Manager will not be able to connect
to the wireless network again, without a reboot.

Also, I noted a unusual amount of dropped packets. It happens not matter the
rate you configure. Sometimes the network freezes, and comes back after a few
seconds.

And of course, the blue light at the nx6105 doesn´t control the radio, as it did
with the ndiswrapper. You can´t do a "ifconfig eth1 down" by hand, because it
will not come back up, you should reboot.

The ndiswrapper is another drama. I was unable to work with WEP with the new
kernel, because the ieee crypt module keep loading the bcm43xx, even if you put
it in blacklist.

Deyvi

Comment 83 Alex Tucker 2006-08-16 15:03:25 EDT
Still causes a panic for me using latest 2.6.17-1.2174_FC5 kernel, which I guess
is still down to the >1GB problem above.

Should I open a separate report for the >1GB issue, on which this bug depends? 
Getting this driver to work properly is becoming more important as support for
those pesky "illegal" proprietary modules is being dropped.

Will attach kernel panic once kernel-debuginfo is released for .2174
Comment 84 mmullis 2006-08-17 22:24:24 EDT
I have an Acer Aspire AS3003LCi Notebook

I'm using kernel-2.6.16-1.2129_FC5

# iwconfig
eth1      IEEE 802.11b/g  ESSID:"netgear"  Nickname:"localhost.localdomain"
          Mode:Managed  Frequency=2.462 GHz  Access Point: 00:90:4C:7E:00:6E
          Bit Rate=11 Mb/s   Tx-Power=19 dBm
          RTS thr:off   Fragment thr:off
          Encryption key:off


My fwcutter:
http://download.berlios.de/bcm43xx/bcm43xx-fwcutter-004.tar.bz2

My Firmware:
http://users.atw.hu/bervi/tmp/bcmwl5.tar.gz

Observations:

After lots of fiddling with the "system-config-network" GUI and using iwconfig I
was able to SOMETIMES use the wireless card with my Netgear WGR614 v6 router 
with the kernel that came on the distribution iso (2.6.15-1.2054_FC5).

Now that I have upgraded to kernel-2.6.16-1.2129_FC5 it so far has performed
reliably and comes up at boot time. Configuration with command line tools is no
longer needed.

Thank you very much!
Comment 85 glistshere 2006-10-10 19:54:02 EDT
(In reply to comment #34)
> (In reply to comment #32)
> > (/lib/modules/2.6.16-1.2080_FC5/kernel/drivers/net/wireless/bcm43xx.ko): Unknown
> > symbol in module, or unknown parameter (see dmesg)
> 
> Looks like you built your own kernel and/or bcm43xx module. Don't do that --
> just use the one we ship. 
> 
> 

using a Panasonic CF-50, with updates repo enabled, the following was done:
# yum update
kernel -> 2.6.17-1.2174_FC5

#yum update kernel-devel

Intel mini-pci card removed, broadcom mini-pci (see following info) added
# lspci...02:03.0 Network controller: Broadcom Corporation BCM4306 802.11b/g
Wireless LAN Controller (rev 03)

on reboot, dmesg, network manager all report same "unknown symbol in module or
unknown parameter" as reported in comment #32

I then did a yum update of the driver.

Same (error and fatal) mesage

Now Not using yum, downloaded the bcm43xx-cutter AND as suggested, wl_apsta.o
both linked off a fedora forum posting

Following perscription for using installing firmware, at the step:
# modprobe bcm43xx
still get same error message re: unknown symbol or unknown parameter

Dun know - mebbe should just update kernel to next version (it is out already)
and yum update the cutter?  Any words of advice on this would be appreciated.
Comment 86 Dave Jones 2006-10-16 16:33:56 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 87 Alex Tucker 2006-10-17 11:04:56 EDT
I still get a kernel panic on bringing up the bcm43xx controlled device with the
latest 2.6.18-1.2200.fc5 kernel.  My machine is x86_64 with 2GB RAM.  The driver
worked ok on a previous kernel when I had 1GB RAM.  I'll attach the back trace
once I get kdump/kexec working again.
Comment 88 John W. Linville 2006-10-21 10:01:54 EDT
I have test kernels w/ a patch for bcm43xx on boxes w/ >1GB of memory 
available here:

   http://people.redhat.com/linville/kernels/fc5/

Please give them a try and post the results here...thanks!
Comment 89 Alex Tucker 2006-10-21 15:19:10 EDT
(In reply to comment #88)
> I have test kernels w/ a patch for bcm43xx on boxes w/ >1GB of memory 
> available here:

Ok, that works ok for me.  I've tested the x86_64 version of
2.6.18-1.2210.2.2.fc5.jwltest.18 with 2GB memory, wireless networking is up
using bcm43xx and no panic so far.
Comment 90 Mark Thomas 2006-11-14 18:43:27 EST
I am a noobie who is unsuccessfull getting bcm43xx working on an Acer Ferrari
3400 with FC6 and 2 G of ram. I almost had the program working under FC6.i386,
but any attempt to use the x86_64 FC6 locks up. When I use iwconfig under i386,
I can see the changes I made in the network manager. Under x86_64, iwconfig
doesn't reflect any of them, If I use the nerwork manager is start thr
interface, the computer freezes so badlly I must power down.

Mark
Comment 91 John W. Linville 2006-11-15 08:42:34 EST
Ugh...

Mark, I'm sorry but I'm going to ask you to open a new bug with the specifics 
of the issue you are seeing.

I'm going to close this bug, as it has flown too far afield from its original 
purpose.  Anyone still having bcm43xx problems in Fedora, please open a new 
bug with the specifics of that situation.

Note You need to log in before you can comment on or make changes to this bug.